Bug 865455 - [abrt] subversion-1.7.6-1.fc17: Process /usr/bin/svn was killed by signal 6 (SIGABRT)
[abrt] subversion-1.7.6-1.fc17: Process /usr/bin/svn was killed by signal 6 (...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
abrt_hash:15d6a32f23657ed6688ca66851e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 09:29 EDT by Simon G
Modified: 2013-07-31 21:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:27:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.56 KB, text/plain)
2012-10-11 09:29 EDT, Simon G
no flags Details
File: environ (4.39 KB, text/plain)
2012-10-11 09:29 EDT, Simon G
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-11 09:29 EDT, Simon G
no flags Details
File: backtrace (17.90 KB, text/plain)
2012-10-11 09:29 EDT, Simon G
no flags Details
File: cgroup (130 bytes, text/plain)
2012-10-11 09:29 EDT, Simon G
no flags Details
File: maps (25.25 KB, text/plain)
2012-10-11 09:29 EDT, Simon G
no flags Details
File: dso_list (5.49 KB, text/plain)
2012-10-11 09:29 EDT, Simon G
no flags Details
File: open_fds (207 bytes, text/plain)
2012-10-11 09:29 EDT, Simon G
no flags Details
File: var_log_messages (2.60 KB, text/plain)
2012-10-11 09:29 EDT, Simon G
no flags Details
Bzipped openwrt AA repo. minus lots of unnessary directorys for this test. (28.00 MB, application/octet-stream)
2012-10-13 06:09 EDT, Simon G
no flags Details

  None (edit)
Description Simon G 2012-10-11 09:29:19 EDT
Description of problem:
Working with OpenWRT attitude adjustment trunk

svn up

Updating '.':
svn: E235000: In file 'subversion/libsvn_wc/update_editor.c' line 1583: assertion failed (action == svn_wc_conflict_action_edit || action == svn_wc_conflict_action_delete || action == svn_wc_conflict_action_replace)
Aborted (core dumped)

Occured even after exporting an EDITOR ...

export EDITOR=vim




Version-Release number of selected component:
subversion-1.7.6-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        svn up
crash_function: svn_error_abort_on_malfunction
kernel:         3.5.6-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #2 svn_error_abort_on_malfunction at subversion/libsvn_subr/error.c:648
: #3 check_tree_conflict at subversion/libsvn_wc/update_editor.c:1587
: #4 close_file at subversion/libsvn_wc/update_editor.c:4085
: #5 ra_svn_handle_close_file at subversion/libsvn_ra_svn/editorp.c:772
: #6 svn_ra_svn_drive_editor2 at subversion/libsvn_ra_svn/editorp.c:916
: #7 ra_svn_finish_report at subversion/libsvn_ra_svn/client.c:299
: #8 svn_wc_crawl_revisions5 at subversion/libsvn_wc/adm_crawler.c:865
: #9 update_internal at subversion/libsvn_client/update.c:401
: #10 svn_client__update_internal at subversion/libsvn_client/update.c:543
: #11 svn_client_update4 at subversion/libsvn_client/update.c:600
Comment 1 Simon G 2012-10-11 09:29:22 EDT
Created attachment 625524 [details]
File: core_backtrace
Comment 2 Simon G 2012-10-11 09:29:25 EDT
Created attachment 625525 [details]
File: environ
Comment 3 Simon G 2012-10-11 09:29:27 EDT
Created attachment 625526 [details]
File: limits
Comment 4 Simon G 2012-10-11 09:29:29 EDT
Created attachment 625527 [details]
File: backtrace
Comment 5 Simon G 2012-10-11 09:29:32 EDT
Created attachment 625528 [details]
File: cgroup
Comment 6 Simon G 2012-10-11 09:29:34 EDT
Created attachment 625529 [details]
File: maps
Comment 7 Simon G 2012-10-11 09:29:36 EDT
Created attachment 625530 [details]
File: dso_list
Comment 8 Simon G 2012-10-11 09:29:38 EDT
Created attachment 625531 [details]
File: open_fds
Comment 9 Simon G 2012-10-11 09:29:41 EDT
Created attachment 625532 [details]
File: var_log_messages
Comment 10 Joe Orton 2012-10-11 09:45:50 EDT
1) Is this reproducible?   A fresh checkout of that repo seems to work here.

2) If so, what revision was your working copy in when you tried to update?  ("svn info ." output?)
Comment 11 Simon G 2012-10-11 12:17:21 EDT
I have the previous revision 33725 latest is currently 33726

svn info .
Path: .
Working Copy Root Path: /home/simong/svnhome/AA
URL: svn://svn.openwrt.org/openwrt/trunk
Repository Root: svn://svn.openwrt.org/openwrt
Repository UUID: 3c298f89-4303-0410-b956-a3cf2f4a3e73
Revision: 33725
Node Kind: directory
Schedule: normal
Last Changed Author: nbd
Last Changed Rev: 33650
Last Changed Date: 2012-10-08 01:24:02 +0200 (Mon, 08 Oct 2012)
Comment 12 Simon G 2012-10-11 12:30:27 EDT
Just tried a clean co of 33725, then svn up and that worked.

The only diff between the two is a small change to target/linux/ar7/image/Makefile

Must have something to do with local changes I have?

But now I have removed my local changes and did an svn up and it crashed the same way.

But mysteriously Im at r 33726 now.

svn diff shows nothing.

svn up still crashes ??

Would be interesting to see whats wrong.

But otherwise I can just go to the clean co and add in my local changes!
Comment 13 Joe Orton 2012-10-12 05:14:04 EDT
Can you tar up your working copy and attach it here?
Comment 14 Simon G 2012-10-12 14:03:04 EDT
(In reply to comment #13)
> Can you tar up your working copy and attach it here?

It's 1.1GB as a bzip2ed tar file. Is it OK to upload here ?
Comment 15 Simon G 2012-10-13 06:09:02 EDT
Created attachment 626461 [details]
Bzipped openwrt AA repo. minus lots of unnessary directorys for this test.

Unpack this tar file. Go into the 1st directory (aa)
svn up

Updating '.':
svn: E235000: In file 'subversion/libsvn_wc/update_editor.c' line 1583: assertion failed (action == svn_wc_conflict_action_edit || action == svn_wc_conflict_action_delete || action == svn_wc_conflict_action_replace)
Aborted (core dumped)
Comment 16 Fedora End Of Life 2013-07-03 19:05:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2013-07-31 21:27:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.